.Dd 2016-06-12
.Dt NCI-CREATE-ASSIGNMENT-GROUP 1
.Os
.Sh NAME
.Nm nci-create-assignment-group
.Nd Create a new group in a Canvas installation, to which assignments can be associated
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl n
.Ar name
.Fl w
.Ar weight
.Oo
.Fl d
.Ar number-of-lowest
.Oc
.Oo
.Fl D
.Ar number-of-highest
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and creates an assignment group with the given parameters. If
successful, the id of the created assignment group will be printed.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl n
Set the name of the new assignment group.
.It Fl w
Set the percentage of the total course grade that this assignment
group will represent when Canvas calculates a student's total
score. If this doesn't add up to 100% with the other groups in place,
it is up to Canvas to interpret it.
.It Fl d | D
Set a grading rule for the group. When calculating a student's score,
Canvas can be instructed to drop a set number of lowest and/or highest
scores from this group.
.El
.Sh EXAMPLES
.Dl % nci-create-assignment-group -c 1187637 -n Homework -w 10.0 -d 2
.Dl 1560872
.Sh SEE ALSO
.Xr nci 1
.Xr nci-create-assignment-group 1
.Xr nci-delete-assignment-group 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
